For the complete documentation index, see llms.txt. This page is also available as Markdown.

Presentations

Endpoints for managing presentations

Get all presentations

get

This endpoint retrieves all presentations.

Authorizations
x-api-keystringRequired
Query parameters
sort-fieldstringOptional

The field to sort by (default updated_at).

sort-directionstringOptional

The direction to sort (ASC or DESC, default DESC).

page-sizeintegerOptional

The number of presentations per page (default 20).

current-pageintegerOptional

The current page number (default 1).

item-countintegerOptional

The total number of items.

state-filterstringOptional

If provided, returns only presentations with this state.

contact-idstringOptional

If provided, returns only presentations for this contact_id.

Responses
200

A paginated list of presentations

application/json
rowsobject[]Optional
countintegerOptional
get/api/v1/presentations
GET /api/v1/presentations HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
  "params": {
    "sort": [
      [
        "created_at",
        "DESC"
      ]
    ],
    "pageSize": 20,
    "currentPage": 1,
    "pageCount": 1,
    "itemCount": 1,
    "stateFilter": null,
    "contactIdFilter": null
  },
  "rows": [
    {
      "presentation_exchange_id": "ed453b46-6d4b-4777-a5ca-e5693d45108e",
      "wallet_id": "6b4ae41c-9c8a-49fd-9efa-fa0436d40b5c",
      "trace": false,
      "connection_id": "0ecc0b3c-4d15-4660-b8da-15d0feeded59",
      "role": "verifier",
      "verified": true,
      "presentation_created_at": "2025-06-26T22:44:44.872Z",
      "presentation_updated_at": "2025-06-26T22:45:10.823Z",
      "presentation_request_dict": {
        "@type": "https://didcomm.org/present-proof/2.0/request-presentation",
        "@id": "49dfcc74-770f-4e42-a291-0b6713b5ada0",
        "comment": "Requesting Presentation v2.0",
        "will_confirm": true,
        "formats": [
          {
            "attach_id": "indy",
            "format": "hlindy/proof-req@v2.0"
          }
        ],
        "request_presentations~attach": [
          {
            "@id": "indy",
            "mime-type": "application/json",
            "data": {
              "base64": "eyJuYW1lIjogIlByb29mIFJlcXVlc3QgdjIiLCAibm9uY2UiOiAiMTMwMjE2MjA2MTgzOTQ3NjE5MTU5MjQ5MjA1MjIxNTQyMDI5NDE5MzEyMjI4MTc5NzIyNDE3MjU4MTI0MjI0NTk3NTY5OTMzMTAxMTA2MTg1MTgwMjM1MjE2MTc4MTE1MzkyNjI0OSIsICJyZXF1ZXN0ZWRfcHJlZGljYXRlcyI6IHt9LCAicmVxdWVzdGVkX2F0dHJpYnV0ZXMiOiB7IjYxMTQyZjg0LTIyNGUtNDhjZS05Zjc4LTk5ZjE2NDAyMmIxNyI6IHsibmFtZXMiOiBbInZlcmlmaWVkX2F0IiwgImxvY2FsX3BhcnQiLCAiYWRkcmVzcyIsICJkb21haW4iXSwgInJlc3RyaWN0aW9ucyI6IFt7InNjaGVtYV9pZCI6ICJLVDRMdEw3SEVNZVBxUVN5S1ZvZjdnOjI6RW1haWw6MS4wIn1dfX0sICJ2ZXJzaW9uIjogIjEuMCJ9"
            }
          }
        ]
      },
      "initiator": "self",
      "presentation_request": {
        "name": "Proof Request v2",
        "nonce": "1302162061839476191592492052215420294193122281797224172581242245975699331011061851802352161781153926249",
        "requested_predicates": {},
        "requested_attributes": {
          "61142f84-224e-48ce-9f78-99f164022b17": {
            "names": [
              "verified_at",
              "local_part",
              "address",
              "domain"
            ],
            "restrictions": [
              {
                "schema_id": "E8BS9Fcg3cu2m9Dwaa3hVG:2:Email:1.0"
              }
            ]
          }
        },
        "version": "1.0"
      },
      "state": "done",
      "thread_id": "49dfcc74-770f-4e42-a291-0b6713b5ada0",
      "auto_present": false,
      "presentation": null,
      "contact_label": "Jimbo Jones",
      "contact_id": "8dba10d6-00d5-4f3a-ac8f-834211c9cbb9",
      "created_at": "2025-06-26T22:44:44.897Z",
      "updated_at": "2025-06-26T22:45:10.847Z"
    }
  ],
  "count": 1
}

Get a presentation by ID

get

This endpoint retrieves a presentation by its exchange id.

Authorizations
x-api-keystringRequired
Path parameters
presentation_exchange_idstringRequired

The presentation exchange id of the presentation to retrieve.

Responses
200

Presentation record retrieved successfully

application/json
recordobjectOptional

The retrieved presentation record.

get/api/v1/presentations/{presentation_exchange_id}
GET /api/v1/presentations/{presentation_exchange_id} HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
  "presentation_exchange_id": "ed453b46-6d4b-4777-a5ca-e5693d45108e",
  "wallet_id": "6b4ae41c-9c8a-49fd-9efa-fa0436d40b5c",
  "trace": false,
  "connection_id": "0ecc0b3c-4d15-4660-b8da-15d0feeded59",
  "role": "verifier",
  "verified": true,
  "presentation_created_at": "2025-06-26T22:44:44.872Z",
  "presentation_updated_at": "2025-06-26T22:45:10.823Z",
  "presentation_request_dict": {
    "@type": "https://didcomm.org/present-proof/2.0/request-presentation",
    "@id": "49dfcc74-770f-4e42-a291-0b6713b5ada0",
    "comment": "Requesting Presentation v2.0",
    "will_confirm": true,
    "formats": [
      {
        "attach_id": "indy",
        "format": "hlindy/proof-req@v2.0"
      }
    ],
    "request_presentations~attach": [
      {
        "@id": "indy",
        "mime-type": "application/json",
        "data": {
          "base64": "eyJuYW1lIjogIlByb29mIFJlcXVlc3QgdjIiLCAibm9uY2UiOiAiMTMwMjE2MjA2MTgzOTQ3NjE5MTU5MjQ5MjA1MjIxNTQyMDI5NDE5MzEyMjI4MTc5NzIyNDE3MjU4MTI0MjI0NTk3NTY5OTMzMTAxMTA2MTg1MTgwMjM1MjE2MTc4MTE1MzkyNjI0OSIsICJyZXF1ZXN0ZWRfcHJlZGljYXRlcyI6IHt9LCAicmVxdWVzdGVkX2F0dHJpYnV0ZXMiOiB7IjYxMTQyZjg0LTIyNGUtNDhjZS05Zjc4LTk5ZjE2NDAyMmIxNyI6IHsibmFtZXMiOiBbInZlcmlmaWVkX2F0IiwgImxvY2FsX3BhcnQiLCAiYWRkcmVzcyIsICJkb21haW4iXSwgInJlc3RyaWN0aW9ucyI6IFt7InNjaGVtYV9pZCI6ICJLVDRMdEw3SEVNZVBxUVN5S1ZvZjdnOjI6RW1haWw6MS4wIn1dfX0sICJ2ZXJzaW9uIjogIjEuMCJ9"
        }
      }
    ]
  },
  "initiator": "self",
  "presentation_request": {
    "name": "Proof Request v2",
    "nonce": "1302162061839476191592492052215420294193122281797224172581242245975699331011061851802352161781153926249",
    "requested_predicates": {},
    "requested_attributes": {
      "61142f84-224e-48ce-9f78-99f164022b17": {
        "names": [
          "verified_at",
          "local_part",
          "address",
          "domain"
        ],
        "restrictions": [
          {
            "schema_id": "E8BS9Fcg3cu2m9Dwaa3hVG:2:Email:1.0"
          }
        ]
      }
    },
    "version": "1.0"
  },
  "state": "done",
  "thread_id": "49dfcc74-770f-4e42-a291-0b6713b5ada0",
  "auto_present": false,
  "presentation": null,
  "contact_label": "Jimbo Jones",
  "contact_id": "8dba10d6-00d5-4f3a-ac8f-834211c9cbb9",
  "created_at": "2025-06-26T22:44:44.897Z",
  "updated_at": "2025-06-26T22:45:10.847Z"
}

Remove PII from a presentation

post

This endpoint manually removes PII from a presentation record.

Authorizations
x-api-keystringRequired
Path parameters
presentation_exchange_idstringRequired

The presentation exchange ID.

Example: ed453b46-6d4b-4777-a5ca-e5693d45108e
Responses
200

PII removed successfully

application/json
messagestringOptionalExample: Presentation PII removed
post/api/v1/presentations/{presentation_exchange_id}/pii
POST /api/v1/presentations/{presentation_exchange_id}/pii HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "Presentation PII removed"
}

Last updated

Was this helpful?